package com.qmth.cqb.flow.model;

import java.io.Serializable;
import java.util.Date;

import org.activiti.engine.repository.ProcessDefinition;
import org.activiti.engine.task.Task;

public class TaskModel implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = -2964362922431697531L;
	/**
	 * 任务ID
	 */
	private String taskId;
	/**
	 * 任务名称
	 */
	private String taskName;
	/**
	 * 任务办理人
	 */
	private String taskAssignee;
	/**
	 * 任务办理角色
	 */
	private String taskRole;
	/**
	 * 流程名称
	 */
	private String processName;
	/**
	 * 流程实例ID
	 */
	private String processInstanceId;
	/**
	 * 流程定义ID
	 */
	private String processDefinitionId;
	/**
	 * 归属系统
	 */
	private String category;
	/**
	 * 任务开始时间
	 */
	private Date startTime;
	
	public TaskModel() {
	}
	
	public TaskModel(Task task, ProcessDefinition processDefinition) {
		this.taskId = task.getId();
		this.taskName = task.getName();
		this.startTime = task.getCreateTime();
		this.taskAssignee = task.getAssignee();
		this.processInstanceId = task.getProcessInstanceId();
		this.processDefinitionId = task.getProcessDefinitionId();
		this.processName = processDefinition.getName();
		this.category = processDefinition.getCategory();
	}
	
	public String getTaskId() {
		return taskId;
	}
	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}
	public String getTaskName() {
		return taskName;
	}
	public void setTaskName(String taskName) {
		this.taskName = taskName;
	}
	public String getTaskAssignee() {
		return taskAssignee;
	}
	public void setTaskAssignee(String taskAssignee) {
		this.taskAssignee = taskAssignee;
	}
	public String getProcessName() {
		return processName;
	}
	public void setProcessName(String processName) {
		this.processName = processName;
	}
	public String getCategory() {
		return category;
	}
	public void setCategory(String category) {
		this.category = category;
	}
	public Date getStartTime() {
		return startTime;
	}
	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}
	public String getProcessInstanceId() {
		return processInstanceId;
	}
	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}
	public String getProcessDefinitionId() {
		return processDefinitionId;
	}
	public void setProcessDefinitionId(String processDefinitionId) {
		this.processDefinitionId = processDefinitionId;
	}
	public String getTaskRole() {
		return taskRole;
	}
	public void setTaskRole(String taskRole) {
		this.taskRole = taskRole;
	}
	
}
