/*
 * Copyright (c) 2016, FPX and/or its affiliates. All rights reserved.
 * Use, Copy is subject to authorized license.
*/
package com.qmth.cqb.flow.model;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 * @Title: 工作流公共model
 * @Description:TODO
 * @Company:4px
 * @author chenken
 * @date 2016年6月27日
 * @since v1.0.0
 */
public class WorkFlowModel  implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 605787172551035649L;
	/**
	 * 流程定义ID
	 */
	private String processDefinitionId;
	/**
	 * 流程实例ID
	 */
	private String processInstanceId;
	/**
	 * 流程启动者
	 */
	private String starter;
	/**
	 * 当前任务id
	 */
	private String taskId;
	/**
	 * 当前任务名称
	 */
	private String taskName;
	/**
	 * 当前节点service 名称
	 */
	private String nodeServiceName;
	/**
	 * 当前节点操作人
	 */
	private String assignee;
	/**
	 * 下一节点操作人
	 * 
	 * 可在当前节点任务完成时，通过该字段设置下一节点操作人
	 * 注意在流程节点中设置变量${operator}
	 */
	private String nextOperator;
	/**
	 * 条件  当产生分支的时候，条件判断 
	 * 例如 ${condition=='a'}  走向a分支   
	 * 	  ${condition=='b'} 走向b分支 
	 * 是否通过/不通过
	 * 同意/不同意
	 *  ${condition=='1'}  通过  
	 *  ${condition=='0'}  打回
	 * 统一用该字段 
	 */
	private String condition;
	
	private String category;
	
	private Map<String,Object> variables = new HashMap<String, Object>();
	
	public WorkFlowModel(){}
	
	public String getStarter() {
		return starter;
	}
	public void setStarter(String starter) {
		this.starter = starter;
	}
	public String getNodeServiceName() {
		return nodeServiceName;
	}
	public void setNodeServiceName(String nodeServiceName) {
		this.nodeServiceName = nodeServiceName;
	}
	public String getTaskId() {
		return taskId;
	}
	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}
	public String getProcessInstanceId() {
		return processInstanceId;
	}
	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}
	public String getTaskName() {
		return taskName;
	}
	public void setTaskName(String taskName) {
		this.taskName = taskName;
	}
	public String getAssignee() {
		return assignee;
	}
	public void setAssignee(String assignee) {
		this.assignee = assignee;
	}
	public String getProcessDefinitionId() {
		return processDefinitionId;
	}
	public void setProcessDefinitionId(String processDefinitionId) {
		this.processDefinitionId = processDefinitionId;
	}
	public String getCondition() {
		return condition;
	}
	public void setCondition(String condition) {
		this.condition = condition;
	}
	public String getNextOperator() {
		return nextOperator;
	}
	public void setNextOperator(String nextOperator) {
		this.nextOperator = nextOperator;
	}

	public Map<String, Object> getVariables() {
		return variables;
	}

	public void setVariables(Map<String, Object> variables) {
		this.variables = variables;
	}

	public String getCategory() {
		return category;
	}

	public void setCategory(String category) {
		this.category = category;
	}
	
}
