/*
 * Copyright (c) 2016, FPX and/or its affiliates. All rights reserved.
 * Use, Copy is subject to authorized license.
*/
package com.qmth.cqb.flow.service;

import java.io.InputStream;
import java.util.List;

import org.activiti.engine.repository.ProcessDefinition;

import com.qmth.cqb.flow.model.ProcessModel;
import com.qmth.cqb.flow.model.WorkFlowModel;



/**
 * @Title: ComTaskService
 * @Description:TODO
 * @Company:4px
 * @author chenken
 * @date 2016年6月24日
 * @since v1.0.0
 */
public interface ComProcessService {
	/**
	 * 通过读取classpath下的文件部署流程定义
	* @Title: deployProcess  
	* @Description: TODO(这里用一句话描述这个方法的作用)
	* @param
	* @return  
	* @throws
	 */
	public void deployProcess(String processPath,String processName) throws Exception;
	/**
	 * 通过二进制流部署流程定义
	 * @param inputStream
	 * @param processName
	 * @throws Exception
	 */
	public void deployProcessByInputStream(InputStream inputStream,String processName) throws Exception;

	/**
     * 根据流程实例ID查询流程定义对象{@link ProcessDefinition}
     *
     * @param processInstanceId 流程实例ID
     * @return 流程定义对象{@link ProcessDefinition}
     */
	public ProcessDefinition findProcessDefinitionByPid(String processInstanceId);
	/**
     * 根据流程定义ID查询流程定义对象{@link ProcessDefinition}
     *
     * @param processDefinitionId 流程定义对象ID
     * @return 流程定义对象{@link ProcessDefinition}
     */
	public ProcessDefinition findProcessDefinition(String processDefinitionId);
	/**
	 * 启动流程
	* @Title: tranStartProcess  
	* @Description: 启动流程
	* @param	processDefinitionKey  流程定义key
	* @return  
	* @throws
	 */
	public String tranStartProcess(String processDefinitionKey,WorkFlowModel workFlowModel) throws Exception;
	/**
	 * 
	* @Title: 获取流程定义 信息
	* @Description: TODO(这里用一句话描述这个方法的作用)
	* @param
	* @return  
	* @throws
	 */
	public List<ProcessModel> getProcessDefinitionList();
	/**
	 * 
	* @Title: deleteProcessDefinition  
	* @Description: 删除流程定义
	* @param
	* @return  
	* @throws
	 */
	public void deleteProcessDefinition(String deploymentId);
	/**
	 * 获取流程资源
	* @Title: getResourceByProcessDefinition  
	* @Description: TODO(这里用一句话描述这个方法的作用)
	* @param
	* @return  
	* @throws
	 */
	public InputStream getResourceByProcessDefinitionId(String processDefinitionId,String resourceType);
}
