package com.qmth.cqb.flow.util;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.InputStream;

public class FileUtil {
	/**
	 * 
	 * 单个文件上传到本地
	 * @param is
	 * @param fileName	文件名称
	 * @param folderLocalPath	本地文件夹路径
	 */
	public static File upFile(InputStream is, String fileName, String folderLocalPath) {
		FileOutputStream fos = null;
		BufferedOutputStream bos = null;
		BufferedInputStream bis = null;
		File folder = new File(folderLocalPath);
		//如果文件夹不存在，就创建
		if (!folder.exists()) {
			folder.mkdirs();
		}
		File file = new File(folderLocalPath + "/" + fileName);
		try {
			bis = new BufferedInputStream(is);
			fos = new FileOutputStream(file);
			bos = new BufferedOutputStream(fos);
			byte[] buffer = new byte[4096];
			int len = 0;
			while ((len = bis.read(buffer)) > 0) {
				bos.write(buffer, 0, len);
			}
			bos.flush();
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			try {
				if (null != bos) {
					bos.close();
					bos = null;
				}
				if (null != fos) {
					fos.close();
					fos = null;
				}
				if (null != is) {
					is.close();
					is = null;
				}
				if (null != bis) {
					bis.close();
					bis = null;
				}
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
		return file;
	}
}
