package com.qmth.cqb.paper.dto;

import com.qmth.cqb.utils.enums.PaperStatus;
import com.qmth.cqb.utils.enums.PaperType;

import java.io.Serializable;
import java.util.Map;
import java.util.*;

/**
 * 试卷导出dto
 * Created by songyue on 17/3/15.
 */
public class PaperExp implements Serializable{
    private static final long serialVersionUID = -4673013279766466337L;

    private String id;

    private String name;//试卷名称

    private String title;//试卷标题

    private String subTitle;//试卷子标题

    private Double totalScore;//试卷总分

    private PaperStatus paperStatus;//试卷状态(待审核、通过、不通过)

    private PaperType paperType;//试卷类型(导入、组卷)

    private String courseNo;

    private String courseName;

    private List<PaperDetailExp> paperDetails;

    private Map<String,String> params;//导入试卷属性

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public PaperStatus getPaperStatus() {
        return paperStatus;
    }

    public void setPaperStatus(PaperStatus paperStatus) {
        this.paperStatus = paperStatus;
    }

    public PaperType getPaperType() {
        return paperType;
    }

    public void setPaperType(PaperType paperType) {
        this.paperType = paperType;
    }

    public String getCourseNo() {
        return courseNo;
    }

    public void setCourseNo(String courseNo) {
        this.courseNo = courseNo;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public List<PaperDetailExp> getPaperDetails() {
        return paperDetails;
    }

    public void setPaperDetails(List<PaperDetailExp> paperDetails) {
        this.paperDetails = paperDetails;
    }

    public Map<String, String> getParams() {
        return params;
    }

    public void setParams(Map<String, String> params) {
        this.params = params;
    }

    public String getSubTitle() {
        return subTitle;
    }

    public void setSubTitle(String subTitle) {
        this.subTitle = subTitle;
    }
}
