package com.qmth.cqb.paper.web;

import com.qmth.cqb.paper.service.ExportPaperService;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.servlet.http.HttpServletResponse;

/**
 * Created by songyue on 17/3/30.
 */
@Controller
@RequestMapping("${api_cqb}/")
public class ExportPaperController {

    protected static final Logger log = LoggerFactory.getLogger(ExportPaperController.class);

    @Autowired
    ExportPaperService exportPaperService;

    /**
     * 导出试卷
     * @param id
     * @return
     */
    @ApiOperation(value="导出试卷",notes="导出试卷")
    @GetMapping(value = "/paper/export/{id}")
    public void getPaperById(@PathVariable String id, HttpServletResponse response){
        log.info("导出开始");
        try {
            exportPaperService.downloadPaper(id,response);
        } catch (Exception e) {
            e.printStackTrace();
            log.error("导出异常:"+e.getMessage());
        }finally {
            log.info("导出结束");
        }
    }
}
